# classes/phing/system/io/FileWriter.php

## \FileWriter
jump to top

Convenience class for performing file write operations.

Unlike the Java counterpart, this class does not (yet) handle character set transformations. This will be an important function of this class with move to supporting PHP6.

Extends from
  \OutputStreamWriter
package
  phing.system.io

### Methods

`__construct( mixed $file, boolean $append = false ) :`
Construct a new FileWriter.
Parameters

Name | Type | Description
--- | --- | ---
$file | mixed | PhingFile or string pathname.
$append | boolean | Append to existing file?

Documentation was generated by DocBlox 0.13.1.